Subject: Re: [net-next PATCH v5 3/4] net: dsa: Add Airoha AN8855 5-Port Gigabit DSA Switch driver

From: Christian Marangi <[email-masked]>
Date: Sat, 16 Nov 2024 00:03:55 +0100

On Fri, Nov 15, 2024 at 02:59:18PM -0800, Jakub Kicinski wrote:
> On Fri, 15 Nov 2024 22:59:18 +0100 Christian Marangi wrote:
> > On Thu, Nov 14, 2024 at 07:22:02PM -0800, Jakub Kicinski wrote:
> > > On Tue, 12 Nov 2024 21:47:26 +0100 Christian Marangi wrote:  
> > > > +	MIB_DESC(1, 0x00, "TxDrop"),
> > > > +	MIB_DESC(1, 0x04, "TxCrcErr"),  
> > > 
> > > What is a CRC Tx error :o 
> > > Just out of curiosity, not saying its worng.
> > >  
> > 
> > From Documentation, FCS error frame due to TX FIFO underrun.
> 
> Interesting
>

Seems it's even supported in stats.

> > > > +	MIB_DESC(1, 0x08, "TxUnicast"),
> > > > +	MIB_DESC(1, 0x0c, "TxMulticast"),
> > > > +	MIB_DESC(1, 0x10, "TxBroadcast"),
> > > > +	MIB_DESC(1, 0x14, "TxCollision"),  
> > > 
> > > Why can't these be rtnl stats, please keep in mind that we ask that
> > > people don't duplicate in ethtool -S what can be exposed via standard
> > > stats
> > >   
> > 
> > Ok I will search for this but it does sounds like something new and not
> > used by other DSA driver, any hint on where to look for examples?
> 
> It's relatively recent but I think the ops are plumbed thru to DSA.
> Take a look at all the *_stats members of struct dsa_switch_ops, most
> of them take a fixed format struct to fill in and the struct has some
> extra kdoc on which field is what.

Thanks for the follow-up, they are the get_stats64 I assume, quite
different to the ethtools one as we need a poll logic. Ok I will check
what to drop and rework it.

-- 
	Ansuel